> For the complete documentation index, see [llms.txt](https://api-old.innov8tif.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-old.innov8tif.com/okaydb/indonesia/e-ktp-check/version-1.md).

# Version 1

<mark style="color:green;">`POST`</mark> `https://okaydbdemo.innov8tif.com/ekyc/okaydb/api/idn/v1`

#### Request Body

| Name          | Type   | Description                                                           |
| ------------- | ------ | --------------------------------------------------------------------- |
| selfie\_photo | string | Selfie photo in base64 string                                         |
| birthplace    | string | Birthplace as shown on ID card. Used for birthplace matching          |
| birthdate     | string | <p>Birthdate as shown on ID card.<br>Used for birthdate matching.</p> |
| name          | string | Name as shown on ID card. Used for name matching.                     |
| nik           | string | NIK number                                                            |
| apiKey        | string | To be assigned by Innov8tif                                           |

{% tabs %}
{% tab title="200 " %}

```
{
    "status": "success",
    "nameMatch": true,
    "birthdateMatch": true,
    "birthplaceMatch": true,
    "address": "JL.S*K*L*H D*T* *** / 25",
    "faceDetected": 0.0
}
```

{% endtab %}
{% endtabs %}

### Input Example

```
{
    "apiKey":"apikey",
    "nik":"317405112312443",
    "name":"JAMES",
    "birthdate":"16-10-1989",
    "birthplace":"JAKARTA",
    "selfie_photo":"/9j/4AAQSkZJRgABAQEBLAEsAAD/" 
}

```

{% file src="/files/-MIs1r\_u5vHk17u3Y6fM" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-old.innov8tif.com/okaydb/indonesia/e-ktp-check/version-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
